## tachyon 0.98~beta.dfsg

=== docs/Makefile ===
#
# Makefile for Tachyon documentation
#

LATEX=latex
DVIPS=dvips
LATEX2HTML=latex2html
PDFLATEX=pdflatex
DISTILLER=distiller
MAKEINDEX=makeindex

default:
	@echo "Select documentation to build:"
	@echo "------------------------------"
	@echo " all - All supported file formats"
	@echo "html - HTML"
	@echo "  ps - Adobe PostScript"
	@echo " pdf - Adobe PDF "

all: tachyon.html tachyon.ps tachyon.pdf

ps: tachyon.ps

pdf: tachyon.pdf

html: tachyon.html

tachyon.html : 
	rm -rf ./tachyon
	$(LATEX2HTML) \
		-local_icons \
		-split 5 \
		-toc_depth 4 \
		-toc_stars \
		-t "Tachyon Docs" \
		-address "johns@megapixel.com" \
		-up_url "http://www.megapixel.com/" \
		-up_title "Megapixel.com, home of Tachyon" \
		tachyon

#	tar -cvf - tachyon | gzip > tachyon.html.tar.gz
#	rm -rf ./tachyon


tachyon.ps : tachyon.dvi
	$(DVIPS) tachyon.dvi -o tachyon.ps 

tachyon.dvi :
	$(LATEX) tachyon
	$(MAKEINDEX) tachyon
	$(LATEX) tachyon
	$(MAKEINDEX) tachyon
	$(LATEX) tachyon
	$(MAKEINDEX) tachyon
	$(LATEX) tachyon

tachyon.pdf :
	$(PDFLATEX) tachyon
	$(MAKEINDEX) tachyon
	$(PDFLATEX) tachyon
	$(MAKEINDEX) tachyon
	$(PDFLATEX) tachyon
	$(MAKEINDEX) tachyon
	$(PDFLATEX) tachyon

clean :
	rm -f *.aux *.dvi *.idx *.lof *.log *.lot *.pdf *.ps *.toc *.ilg *.ind

=== unix/Makefile ===
# Makefile for the Tachyon parallel ray tracing library.
# Copyright 1994-2007 John E. Stone
# All Rights Reserved
#
# $Id: Makefile,v 1.100 2007/02/13 03:39:08 johns Exp $
#

#.SILENT:

#
# Include the machine dependent compilation flags etc.
#
include Make-opengl
include Make-config
include Make-arch
include Make-distrib

COMPILEDIR=../compile
ARCHDIR=../compile/${ARCH}
OBJDIR=${ARCHDIR}/libtachyon

#
# Name of raytracing library file to create
#
RAYLIB=${ARCHDIR}/libtachyon.a
RAYLIBDIR=${ARCHDIR}

#
# Extra parsers and such
#
PARSEOBJS = ${OBJDIR}/mgfparse.o ${OBJDIR}/ac3dparse.o 
PARSEINC  = ${MGFINC}
PARSEDIRS = ${MGFDIR}
PARSELIBS = ${MGFLIB} 

#
# Miscellaneous object files etc.
#
MISC= ${OBJDIR}/mainanim.o \
	${OBJDIR}/animspheres.o \
	${OBJDIR}/animspheres \
	${OBJDIR}/animspheres2.o \
	${OBJDIR}/animskull.o \
	${OBJDIR}/animskull \
	${OBJDIR}/animspheres2 \
	${OBJDIR}/fire.o \
	${OBJDIR}/fire \
	${OBJDIR}/hypertex.o \
	${OBJDIR}/hypertex \
	${OBJDIR}/tgatoyuv \
	${OBJDIR}/tachyon \
	${OBJDIR}/animray \
	${OBJDIR}/main.o \
	${OBJDIR}/spaceball.o \
	${OBJDIR}/trackball.o \
	${OBJDIR}/getargs.o \
	${OBJDIR}/parse.o \
	${OBJDIR}/nffparse.o \
	${OBJDIR}/glwin.o

#
# Test programs included..
#
#BINARIES = ${COMPILEDIR} ${ARCHDIR} ${OBJDIR} ${PARSEDIRS} \
#	${RAYLIB} ${PARSELIB} ${ARCHDIR}/tachyon \
#	${ARCHDIR}/fire ${ARCHDIR}/hypertex ${ARCHDIR}/tgatoyuv \
#	${ARCHDIR}/animray ${ARCHDIR}/animspheres ${ARCHDIR}/animskull \
#	${ARCHDIR}/animspheres2

#
# No test programs included..
#
BINARIES = ${COMPILEDIR} ${ARCHDIR} ${OBJDIR} ${PARSEDIRS} \
	${RAYLIB} ${PARSELIB} ${ARCHDIR}/tachyon


#----------------------------------------------------------------------
# Demo Programs etc
#----------------------------------------------------------------------

DEMOINC= -I${SRCDIR} -I${DEMOSRC}

all : mesg directories 
	${MAKE} ${BINARIES}
	@echo ""
	@echo "Build Complete"

directories :
	@if [ ! -d ${COMPILEDIR} ] ; then \
		echo "Making compile directory ${COMPILEDIR}"; \
		mkdir ${COMPILEDIR}; \
	fi; 
	@if [ ! -d ${ARCHDIR} ] ; then \
		echo "Making architecture directory ${ARCHDIR}"; \
		mkdir ${ARCHDIR}; \
	fi; 
	@if [ ! -d ${OBJDIR} ] ; then \
		echo "Making library directory ${OBJDIR}"; \
		mkdir ${OBJDIR}; \
	fi; 
	

mesg : 
	@echo "Building Tachyon Parallel Ray Tracing library"
	@echo "Copyright 1994-2007, John E. Stone"
	@echo "All Rights Reserveed"

${MGFDIR} : ${ARCHDIR}
	@if [ ! -d ${MGFDIR} ] ; then \
		echo "Making libmgf directory ${MGFDIR}"; \
		mkdir ${MGFDIR}; \
	fi; 

#
# MGF Library compilation
#
${MGFLIB} : ../libmgf/Makefile
	{cd ../libmgf; \
	${MAKE} -f Makefile RANLIB=${RANLIB} MGFLIBDIR=${MGFLIBDIR} \
	MGFLIB=${MGFLIB} AR=${AR} ARFLAGS=${ARFLAGS} \
	};

${ARCHDIR}/tachyon : ${RAYLIB} ${PARSELIB} ${OBJDIR}/main.o ${OBJDIR}/getargs.o ${OBJDIR}/parse.o ${OBJDIR}/nffparse.o ${OBJDIR}/glwin.o ${OBJDIR}/spaceball.o ${OBJDIR}/trackball.o ${PARSEOBJS} 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/tachyon ${OBJDIR}/main.o ${OBJDIR}/getargs.o ${OBJDIR}/parse.o ${OBJDIR}/nffparse.o ${OBJDIR}/glwin.o ${OBJDIR}/spaceball.o ${OBJDIR}/trackball.o ${PARSEOBJS} -L${RAYLIBDIR} ${PARSELIBS} ${LIBS}
	${STRIP} ${ARCHDIR}/tachyon

${ARCHDIR}/animray : ${RAYLIB} ${OBJDIR}/mainanim.o
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/animray ${OBJDIR}/mainanim.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/animray 

${ARCHDIR}/animspheres : ${RAYLIB} ${OBJDIR}/animspheres.o 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/animspheres ${OBJDIR}/animspheres.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/animspheres

${ARCHDIR}/animspheres2 : ${RAYLIB} ${OBJDIR}/animspheres2.o 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/animspheres2 ${OBJDIR}/animspheres2.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/animspheres2

${ARCHDIR}/hypertex : ${RAYLIB} ${OBJDIR}/hypertex.o ${DEMOSRC}/hypertex.c 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/hypertex ${OBJDIR}/hypertex.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/hypertex 

${ARCHDIR}/fire : ${RAYLIB} ${OBJDIR}/fire.o ${DEMOSRC}/fire.c 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/fire ${OBJDIR}/fire.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/fire

${ARCHDIR}/animskull : ${RAYLIB} ${OBJDIR}/animskull.o 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/animskull ${OBJDIR}/animskull.o -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/animskull

${ARCHDIR}/tgatoyuv : ${RAYLIB} ${DEMOSRC}/tgatoyuv.c 
	${CC} ${CFLAGS} ${DEMOINC} -o ${ARCHDIR}/tgatoyuv ${DEMOSRC}/tgatoyuv.c -L${RAYLIBDIR} ${LIBS}
	${STRIP} ${ARCHDIR}/tgatoyuv

#
# Rules for building demo .o files
#

${OBJDIR}/animskull.o : ${DEMOSRC}/animskull.c 
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/animskull.c -o ${OBJDIR}/animskull.o

${OBJDIR}/hypertex.o : ${DEMOSRC}/hypertex.c
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/hypertex.c -o ${OBJDIR}/hypertex.o

${OBJDIR}/fire.o : ${DEMOSRC}/fire.c
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/fire.c -o ${OBJDIR}/fire.o

${OBJDIR}/mainanim.o : ${DEMOSRC}/mainanim.c
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/mainanim.c -o ${OBJDIR}/mainanim.o

${OBJDIR}/main.o : ${DEMOSRC}/main.c ${DEMOSRC}/getargs.h ${DEMOSRC}/parse.h ${DEMOSRC}/nffparse.h ${DEMOSRC}/ac3dparse.h ${DEMOSRC}/glwin.h
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/main.c -o ${OBJDIR}/main.o

${OBJDIR}/getargs.o : ${DEMOSRC}/getargs.c ${DEMOSRC}/getargs.h
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/getargs.c -o ${OBJDIR}/getargs.o

${OBJDIR}/glwin.o : ${DEMOSRC}/glwin.c ${DEMOSRC}/glwin.h
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/glwin.c -o ${OBJDIR}/glwin.o

${OBJDIR}/spaceball.o : ${DEMOSRC}/spaceball.c
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/spaceball.c -o ${OBJDIR}/spaceball.o

${OBJDIR}/trackball.o : ${DEMOSRC}/trackball.c
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/trackball.c -o ${OBJDIR}/trackball.o

${OBJDIR}/animspheres.o : ${DEMOSRC}/animspheres.c 
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/animspheres.c -o ${OBJDIR}/animspheres.o

${OBJDIR}/animspheres2.o : ${DEMOSRC}/animspheres2.c 
	${CC} ${CFLAGS} ${DEMOINC} -c ${DEMOSRC}/animspheres2.c -o ${OBJDIR}/animspheres2.o

${OBJDIR}/parse.o : ${DEMOSRC}/parse.c ${DEMOSRC}/parse.h
	${CC} ${CFLAGS} ${PARSEINC} ${DEMOINC} -c ${DEMOSRC}/parse.c -o ${OBJDIR}/parse.o

${OBJDIR}/mgfparse.o : ${DEMOSRC}/mgfparse.c ${DEMOSRC}/mgfparse.h
	${CC} ${CFLAGS} ${PARSEINC} ${DEMOINC} ${MGFINC} -c ${DEMOSRC}/mgfparse.c -o ${OBJDIR}/mgfparse.o

${OBJDIR}/nffparse.o : ${DEMOSRC}/nffparse.c ${DEMOSRC}/nffparse.h
	${CC} ${CFLAGS} ${PARSEINC} ${DEMOINC} -c ${DEMOSRC}/nffparse.c -o ${OBJDIR}/nffparse.o

${OBJDIR}/ac3dparse.o : ${DEMOSRC}/ac3dparse.c ${DEMOSRC}/ac3dparse.h
	${CC} ${CFLAGS} ${PARSEINC} ${DEMOINC} -c ${DEMOSRC}/ac3dparse.c -o ${OBJDIR}/ac3dparse.o

#----------------------------------------------------------------------
# End of demo programs
#----------------------------------------------------------------------

OBJDEPS= ${SRCDIR}/tachyon.h \
	${SRCDIR}/machine.h \
	${SRCDIR}/rtcommon.h \
	${SRCDIR}/types.h \
	${SRCDIR}/hash.h \
	${SRCDIR}/macros.h \
	${SRCDIR}/render.h \
	${SRCDIR}/quadric.h \
	${SRCDIR}/texture.h \
	${SRCDIR}/light.h \
	${SRCDIR}/util.h

RAYOBJS= ${OBJDIR}/api.o \
	${OBJDIR}/apigeom.o \
	${OBJDIR}/box.o \
	${OBJDIR}/global.o \
	${OBJDIR}/hash.o \
	${OBJDIR}/parallel.o \
	${OBJDIR}/threads.o \
	${OBJDIR}/camera.o \
	${OBJDIR}/render.o \
	${OBJDIR}/trace.o \
	${OBJDIR}/grid.o \
	${OBJDIR}/intersect.o \
	${OBJDIR}/sphere.o \
	${OBJDIR}/plane.o \
	${OBJDIR}/ring.o \
	${OBJDIR}/triangle.o \
	${OBJDIR}/cylinder.o \
	${OBJDIR}/quadric.o \
	${OBJDIR}/extvol.o \
	${OBJDIR}/vol.o \
	${OBJDIR}/ui.o \
	${OBJDIR}/util.o \
	${OBJDIR}/vector.o \
	${OBJDIR}/shade.o \
	${OBJDIR}/texture.o \
	${OBJDIR}/coordsys.o \
	${OBJDIR}/imap.o \
	${OBJDIR}/light.o \
	${OBJDIR}/imageio.o \
	${OBJDIR}/jpeg.o \
	${OBJDIR}/pngfile.o \
	${OBJDIR}/ppm.o \
	${OBJDIR}/psd.o \
	${OBJDIR}/sgirgb.o \
	${OBJDIR}/tgafile.o \
	${OBJDIR}/winbmp.o

${RAYLIB} : ${RAYOBJS}
	rm -f ${RAYLIB}
	${AR} ${ARFLAGS} ${RAYLIB} ${RAYOBJS}
	${RANLIB} ${RAYLIB}

${OBJDIR}/vol.o : ${SRCDIR}/vol.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/vol.c -o ${OBJDIR}/vol.o

${OBJDIR}/extvol.o : ${SRCDIR}/extvol.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/extvol.c -o ${OBJDIR}/extvol.o

${OBJDIR}/winbmp.o : ${SRCDIR}/winbmp.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/winbmp.c -o ${OBJDIR}/winbmp.o

${OBJDIR}/vector.o : ${SRCDIR}/vector.c ${OBJDEPS} 
	${CC} ${CFLAGS} -c ${SRCDIR}/vector.c -o ${OBJDIR}/vector.o

${OBJDIR}/triangle.o : ${SRCDIR}/triangle.c ${OBJDEPS} ${SRCDIR}/triangle.h
	${CC} ${CFLAGS} -c ${SRCDIR}/triangle.c -o ${OBJDIR}/triangle.o

${OBJDIR}/trace.o : ${SRCDIR}/trace.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/trace.c -o ${OBJDIR}/trace.o

${OBJDIR}/threads.o : ${SRCDIR}/threads.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/threads.c -o ${OBJDIR}/threads.o

${OBJDIR}/tgafile.o : ${SRCDIR}/tgafile.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/tgafile.c -o ${OBJDIR}/tgafile.o

${OBJDIR}/util.o : ${SRCDIR}/util.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/util.c -o ${OBJDIR}/util.o

${OBJDIR}/ui.o : ${SRCDIR}/ui.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/ui.c -o ${OBJDIR}/ui.o

${OBJDIR}/texture.o : ${SRCDIR}/texture.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/texture.c -o ${OBJDIR}/texture.o

${OBJDIR}/sphere.o : ${SRCDIR}/sphere.c ${OBJDEPS} ${SRCDIR}/sphere.h
	${CC} ${CFLAGS} -c ${SRCDIR}/sphere.c -o ${OBJDIR}/sphere.o

${OBJDIR}/sgirgb.o : ${SRCDIR}/sgirgb.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/sgirgb.c -o ${OBJDIR}/sgirgb.o

${OBJDIR}/shade.o : ${SRCDIR}/shade.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/shade.c -o ${OBJDIR}/shade.o

${OBJDIR}/ring.o : ${SRCDIR}/ring.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/ring.c -o ${OBJDIR}/ring.o

${OBJDIR}/render.o : ${SRCDIR}/render.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/render.c -o ${OBJDIR}/render.o

${OBJDIR}/quadric.o : ${SRCDIR}/quadric.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/quadric.c -o ${OBJDIR}/quadric.o

${OBJDIR}/jpeg.o : ${SRCDIR}/jpeg.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/jpeg.c -o ${OBJDIR}/jpeg.o

${OBJDIR}/pngfile.o : ${SRCDIR}/pngfile.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/pngfile.c -o ${OBJDIR}/pngfile.o

${OBJDIR}/ppm.o : ${SRCDIR}/ppm.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/ppm.c -o ${OBJDIR}/ppm.o

${OBJDIR}/psd.o : ${SRCDIR}/psd.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/psd.c -o ${OBJDIR}/psd.o

${OBJDIR}/plane.o : ${SRCDIR}/plane.c ${OBJDEPS} ${SRCDIR}/plane.h
	${CC} ${CFLAGS} -c ${SRCDIR}/plane.c -o ${OBJDIR}/plane.o

${OBJDIR}/parallel.o : ${SRCDIR}/parallel.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/parallel.c -o ${OBJDIR}/parallel.o

${OBJDIR}/objbound.o : ${SRCDIR}/objbound.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/objbound.c -o ${OBJDIR}/objbound.o

${OBJDIR}/light.o : ${SRCDIR}/light.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/light.c -o ${OBJDIR}/light.o

${OBJDIR}/intersect.o : ${SRCDIR}/intersect.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/intersect.c -o ${OBJDIR}/intersect.o

${OBJDIR}/imageio.o : ${SRCDIR}/imageio.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/imageio.c -o ${OBJDIR}/imageio.o

${OBJDIR}/imap.o : ${SRCDIR}/imap.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/imap.c -o ${OBJDIR}/imap.o

${OBJDIR}/grid.o : ${SRCDIR}/grid.c ${SRCDIR}/grid.h ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/grid.c -o ${OBJDIR}/grid.o

${OBJDIR}/global.o : ${SRCDIR}/global.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/global.c -o ${OBJDIR}/global.o

${OBJDIR}/hash.o : ${SRCDIR}/hash.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/hash.c -o ${OBJDIR}/hash.o

${OBJDIR}/cylinder.o : ${SRCDIR}/cylinder.c ${OBJDEPS} ${SRCDIR}/cylinder.h
	${CC} ${CFLAGS} -c ${SRCDIR}/cylinder.c -o ${OBJDIR}/cylinder.o

${OBJDIR}/coordsys.o : ${SRCDIR}/coordsys.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/coordsys.c -o ${OBJDIR}/coordsys.o

${OBJDIR}/camera.o : ${SRCDIR}/camera.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/camera.c -o ${OBJDIR}/camera.o

${OBJDIR}/box.o : ${SRCDIR}/box.c ${OBJDEPS}
	${CC} ${CFLAGS} -c ${SRCDIR}/box.c -o ${OBJDIR}/box.o

## tachyon 0.99~b2+dfsg

=== msvc/Makefile ===
#
# (out of date) Microsoft Developer Studio Makefiles for Win32 builds
#

newdefault:
	@echo "This makefile is here for historic reasons, and does not work."
	@echo "Use the MSVC workspace provided in the tachyon directory instead"

default:
	@echo You must choose one of the following configurations:
	@echo ----------------------------------------------------
	@echo          win32 - MSVC 5, no threads                         
	@echo      win32-ogl - MSVC 5, OpenGL Display, no threads         
	@echo      win32-mpi - MSVC 5, MSTI MPI/Pro, no threads           
	@echo  win32-mpi-ogl - MSVC 5, MSTI MPI/Pro, OpenGL, no threads   
	@echo      win32-via - MSVC 5, MSTI MPI/Pro, VIA, no threads      
	@echo  win32-via-ogl - MSVC 5, MSTI MPI/Pro, VIA, OpenGL, no threads
	@echo          clean - Deletes all object files                   
	@echo ----------------------------------------------------
	@echo on                                                  

win32:
	cd libray
	nmake /f "libray.mak" CFG="libray - Win32 Release"
	nmake /f "libray.mak" CFG="libray - Win32 Debug"
	cd ..
	cd libmgf
	nmake /f "libmgf.mak" CFG="libmgf - Win32 Release"
	nmake /f "libmgf.mak" CFG="libmgf - Win32 Debug"
	cd ..
	cd tacheon
	nmake /f "tacheon.mak" CFG="tacheon - Win32 Release"
	nmake /f "tacheon.mak" CFG="tacheon - Win32 Debug"
	cd ..	
	copy tacheon\Release\tacheon.exe bin\tacheon.exe

win32-debug:
	cd libray
	nmake /f "libray.mak" CFG="libray - Win32 Debug"
	cd ..
	cd libmgf
	nmake /f "libmgf.mak" CFG="libmgf - Win32 Debug"
	cd ..
	cd tacheon
	nmake /f "tacheon.mak" CFG="tacheon - Win32 Debug"
	cd ..	

win32-ogl:
	cd libray
	nmake /f "libray.mak" CFG="libray - Win32 Release"
	cd ..
	cd libmgf
	nmake /f "libmgf.mak" CFG="libmgf - Win32 Release"
	cd ..
	cd tacheon
	nmake /f "tacheon.mak" CFG="tacheon - Win32 OGL Release"
	cd ..	
	copy tacheon\OGLRelease\tacheon.exe bin\ogltacheon.exe

win32-mpi:	
	cd libray
	nmake /f "libray.mak" CFG="libray - Win32 MPI Release"
	cd ..
	cd libmgf
	nmake /f "libmgf.mak" CFG="libmgf - Win32 Release"
	cd ..
	cd tacheon
	nmake /f "tacheon.mak" CFG="tacheon - Win32 MPI Release"
	cd ..	
	copy tacheon\MPIRelease\tacheon.exe bin\mpitacheon.exe

win32-mpi-debug:	
	cd libray
	nmake /f "libray.mak" CFG="libray - Win32 MPI Debug"
	cd ..
	cd libmgf
	nmake /f "libmgf.mak" CFG="libmgf - Win32 Debug"
	cd ..
	cd tacheon
	nmake /f "tacheon.mak" CFG="tacheon - Win32 MPI Debug"
	cd ..	

win32-via:	
	cd libray
	nmake /f "libray.mak" CFG="libray - Win32 VIA Release"
	cd ..
	cd libmgf
	nmake /f "libmgf.mak" CFG="libmgf - Win32 Release"
	cd ..
	cd tacheon
	nmake /f "tacheon.mak" CFG="tacheon - Win32 VIA Release"
	cd ..	
	copy tacheon\VIARelease\tacheon.exe bin\viatacheon.exe


win32-mpi-ogl:	
	cd libray
	nmake /f "libray.mak" CFG="libray - Win32 MPI Release"
	cd ..
	cd libmgf
	nmake /f "libmgf.mak" CFG="libmgf - Win32 Release"
	cd ..
	cd tacheon
	nmake /f "tacheon.mak" CFG="tacheon - Win32 MPI OGL Release"
	cd ..	
	copy tacheon\MPIOGLRelease\tacheon.exe bin\mpiogltacheon.exe

win32-via-ogl:	
	cd libray
	nmake /f "libray.mak" CFG="libray - Win32 VIA Release"
	cd ..
	cd libmgf
	nmake /f "libmgf.mak" CFG="libmgf - Win32 Release"
	cd ..
	cd tacheon
	nmake /f "tacheon.mak" CFG="tacheon - Win32 VIA OGL Release"
	cd ..	
	copy tacheon\VIAOGLRelease\tacheon.exe bin\viaogltacheon.exe



clean:
	del /Q /F bin\*
	del /Q /F libmgf\Release\*
	del /Q /F libmgf\Debug\*
	del /Q /F libray\Release\*
	del /Q /F libray\Debug\*
	del /Q /F libray\MPIRelease\*
	del /Q /F libray\MPIDebug\*
	del /Q /F tacheon\Release\*
	del /Q /F tacheon\Debug\*
	del /Q /F tacheon\MPIRelease\*
	del /Q /F tacheon\MPIDebug\*
	del /Q /F tacheon\OGLRelease\*
	del /Q /F tacheon\MPIOGLRelease\*
	del /Q /F tacheon\VIARelease\*
	del /Q /F tacheon\VIAOGLRelease\*

=== debian/changelog ===
tachyon (0.99~b2+dfsg-0.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add libtachyon-0.99 as a dependency of libtachyon-dev. Thanks to Ana Guerrero 
    for finding this bug! (Closes: #675714) 

 -- Mònica Ramírez Arceda <monica@debian.org>  Sun, 03 Jun 2012 00:27:58 +0200

tachyon (0.99~b2+dfsg-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed build failures on kfreebsd 
    - disabling threading (Closes: 620999)
    - including sys/time.h in src/util.c

 -- Steffen Moeller <moeller@debian.org>  Thu, 21 Apr 2011 23:57:51 +0200

tachyon (0.99~b2+dfsg-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Moved TeX build requirements from Build-Depends-Indep
    to Build-Depends (Closes: #620068).

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 Apr 2011 10:40:16 +0200

tachyon (0.99~b2+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (Closes: #600938, #567997).
  * Reassignment of lib package to section lib (Closes: #490014).
  * Helped lintian cleanliness for BSD license warning.
  * No CDBS debian/control management.
  * Removed leading "../" from path in debian/patches/architecture.patch
  * Added LaTeX license to debian/copyright as requested by FTPadmins

 -- Steffen Moeller <moeller@debian.org>  Tue, 29 Mar 2011 13:37:53 +0200

tachyon (0.98~beta.dfsg-1) unstable; urgency=low

  * Set priority to optional.
  * Remove files generated by non-DFSG free latex2html.
  * Update to Standards-Version 3.8.0.
  * Create new linux-base-thr architecture for tachyon that doesn't assume
    x86 and incorrectly include -m32 in CFLAGS (Closes: #486849).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 20 Jun 2008 11:24:50 -0400

tachyon (0.98~beta-1) unstable; urgency=low

  * Initial release (Closes: #480082).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 06 Jun 2008 18:28:02 -0400

=== debian/control ===
Source: tachyon
Section: math
Priority: optional
Maintainer: Tim Abbott <tabbott@mit.edu>
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.27), libpng12-dev,
 texlive-latex-base, texlive-latex-recommended, texlive-science, texlive-latex-extra, texlive-humanities
Standards-Version: 3.9.1

Package: tachyon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Parallel/Multiprocessor Ray Tracing Software
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations.  Tachyon is built
 as a C callable library, which can be used with the included demo
 programs or within your own application.  The distribution also
 includes a simple scene file parser front-end which reads a few
 different formats.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc.  Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well.  These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others.  Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.  As time goes on,
 Tachyon will indeed incorporate more features, but with a continued
 emphasis on rendering performance.

Package: tachyon-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: documentation for Tachyon ray tracer
 The compilation of the LaTeX documentation demands the
 installation of most components of texlive.

Package: libtachyon-0.99
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Parallel/Multiprocessor Ray Tracing Software, shared library
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations.  Tachyon is built
 as a C callable library, which can be used with the included demo
 programs or within your own application.  The distribution also
 includes a simple scene file parser front-end which reads a few
 different formats.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc.  Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well.  These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others.  Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.  As time goes on,
 Tachyon will indeed incorporate more features, but with a continued
 emphasis on rendering performance.

Package: libtachyon-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtachyon-0.99 (= ${binary:Version})
Description: Parallel/Multiprocessor Ray Tracing Software, development files
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations.  Tachyon is built
 as a C callable library, which can be used with the included demo
 programs or within your own application.  The distribution also
 includes a simple scene file parser front-end which reads a few
 different formats.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc.  Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well.  These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others.  Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.  As time goes on,
 Tachyon will indeed incorporate more features, but with a continued
 emphasis on rendering performance.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INVOKE += -C unix

DEB_MAKE_BUILD_TARGET=linux-base-thr
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)


# did not get past compile error for src/thread.h
ifeq ($(DEB_BUILD_ARCH), kfreebsd-i386)
  DEB_MAKE_BUILD_TARGET = linux
endif
ifeq ($(DEB_BUILD_ARCH), kfreebsd-amd64)
  DEB_MAKE_BUILD_TARGET = linux-64
endif

build-indep:
	$(MAKE) -C docs pdf

## tachyon 0.99~b6%2Bdsx

=== docs/Makefile ===
--- 
+++ 
@@ -33,9 +33,9 @@
 		-toc_depth 4 \
 		-toc_stars \
 		-t "Tachyon Docs" \
-		-address "johns@megapixel.com" \
-		-up_url "http://www.megapixel.com/" \
-		-up_title "Megapixel.com, home of Tachyon" \
+		-address "john.stone@gmail.com" \
+		-up_url "http://www.photonlimited.com/" \
+		-up_title "photonlimited.com, home of Tachyon" \
 		tachyon
 
 #	tar -cvf - tachyon | gzip > tachyon.html.tar.gz

=== debian/changelog ===
tachyon (0.99~b6+dsx-8) unstable; urgency=medium

  * Serious bug fix release (Closes: #855615) / Debianization:
    - d/rules:
      - link-doc, drop (See: #747141);
    - d/control:
      - -dev Depends fields, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 24 Feb 2017 13:51:03 +0000

tachyon (0.99~b6+dsx-7) unstable; urgency=medium

  * Serious bug fix release (Closes: #848131) / Debianization:
    - d/shlibs.local, indroduce (See: #831442).
  * Debianization:
    - d/templates/*:
      - d/t/control.in (resp., d/control), harden (resp., update);
    - d/patches/*:
      - d/p/upstream-rationalization-autotools.patch, refresh and harden;
      - d/p/debianization-bug-848363-ax_check_gl.patch, introduce;
      - Origin field, correct;
    - d/rules, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Dec 2016 18:23:58 +0000

tachyon (0.99~b6+dsx-6) unstable; urgency=medium

  * FTBFS bug fix release (Closes: #837012):
    - configure.ac as provided for debianization, harden.
  * Debianization:
    - d/p/debianization.patch, see FTBFS bug fix above.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 13 Sep 2016 01:42:37 +0000

tachyon (0.99~b6+dsx-5) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Standards Version 3.9.8, bump;
      - description field appendum for serial platforms library, correct
        (thanks to Katsuhiko Nishimra <ktns.87@gmail.com> for noticing;
        Closes: #824134);
      - discard the debug symbols packages;
      - revisit;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
      - discard the debug symbols material (see above);
      - symlink policy for documentation directories, set;
      - refresh;
    - debian/patches/upstream-lintian-spelling-error-silence.patch, introduce
      (and submit).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Aug 2016 01:23:27 +0000

tachyon (0.99~b6+dsx-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Use HTTPS in the Vcs-* fields.
  * Use the list of openmpi architectures as provided by mpi-default-dev,
    instead of hardcoding our own list, and refresh debian/control.
  * Tight build-dep on mpi-default-dev (>= 1.3).

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 29 Feb 2016 13:37:56 +0000

tachyon (0.99~b6+dsx-3) unstable; urgency=medium

  * FTBFS bug fix release (Closes: #806115):
    - arch/indep build scheme, harden.
  * Debianization:
    - debian/rules, see FTBFS bug fix above;
    - debian/templates/control.in, Vcs-Browser field correction.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 02 Dec 2015 01:38:35 +0000

tachyon (0.99~b6+dsx-2) unstable; urgency=medium

  * Debianization:
    - debian/control, refresh;
    - debian/copyright, correct and refresh;
    - debian/rules, harden;
    - debian/patches/:
      - autotools chain:
        - libjpeg find and check, harden;
        - kfreebsd and hurd surpports, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 25 Jun 2015 16:58:12 +0000

tachyon (0.99~b6+dsx-1) unstable; urgency=medium

  * New upstrean release.
  * New maintainer (Closes: #764433).
  * Debianization:
    - debian/copyright:
      - in DEP-5 format, bump;
      - refresh;
    - debian/control:
      - debhelper build-dep to >= 9, bump;
      - Standards Version 3.9.6, bump;
      - Build-Depends field, refresh (Closes: #650601);
      - Vcs-* headers, provide (Closes: #697317);
    - debian/source/, format 3.0 (quilt), bump;
    - debian/watch, refresh;
    - debian/repack, repack script to clean up and gain weight;
    - debian/rules:
      - full, multi-flavour and multi-variant dh integration through
        a templates machinery;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
    - debian/patches/:
      - patches in DEP-3 format;
      - harden pthreads support in GNU environment, thanks to
        Samuel Thibault <sthibault@debian.org> (Closes: #729182);
      - harden separate build either with or without OpenGL support;
      - format help display in view to employ help2man to generate manpages;
      - clean demo simple samples;
      - pre-rationalization cleanup;
      - merge the installed header into one header;
      - script-version, create by hand wrt `tachyon.h';
      - autotools build machinery, write from scratch to ease maintenance;
      - library versioning, introduce;
      - manual page generated via help2man;
    - debian/README.{source,Debian}, refresh;
    - build-arch/build-indep scheme, introduce;
    - gpg-signature check support, neutralize;
    - missing sample material gathered into a separated source tarball;
    - management of tools and library variants with update-alaternatives.
  * Provide an ad hoc script to shoot (and clean) the upstream scene samples,
    and an ad hoc Makefile to build (and clean) the upstream source examples.
  * Minor, enhancement, cosmetic patches submitted to the upstream maintainer.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 15 Nov 2014 13:35:43 +0000
